> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smatvirtual.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Merchant



## OpenAPI

````yaml api-reference/openapi.json post /api/v1.1/operator-api/create
openapi: 3.0.0
info:
  title: Smatvirtual Operator API
  description: Smatvirtual Operator API documentation
  version: 1.0.0
  contact:
    name: Smat Virtual
    url: https://smatvirtual.com
    email: support@smatvirtual.com
servers:
  - url: https://api-staging.smatvirtual.com
security:
  - bearerAuth: []
tags: []
paths:
  /api/v1.1/operator-api/create:
    post:
      tags:
        - operator-controller
      operationId: createMerchant
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMerchantInputDto'
      responses:
        '201':
          description: The merchant was successfully created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantType'
      security:
        - bearer: []
components:
  schemas:
    CreateMerchantInputDto:
      type: object
      properties:
        countryCodes:
          type: array
          items:
            type: string
        companyName:
          type: string
        email:
          type: string
        providerId:
          type: number
      required:
        - countryCodes
        - companyName
        - email
        - providerId
    MerchantType:
      type: object
      properties:
        id:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        MerchantSettings:
          $ref: '#/components/schemas/MerchantSettingsType'
        email:
          type: string
        isDefaultPassword:
          type: boolean
        password:
          type: string
        accountStatus:
          type: string
        clientId:
          type: string
        companyName:
          type: string
        country:
          type: string
        currency:
          type: string
        encryptionKey:
          type: string
        hashedClientId:
          type: string
        otpToken:
          type: string
        phoneNumber:
          type: string
        privateKey:
          type: string
        providerId:
          type: number
        publicKey:
          type: string
        verifiedEmail:
          type: boolean
      required:
        - id
        - createdAt
        - updatedAt
        - email
        - password
        - accountStatus
        - clientId
        - companyName
        - country
        - currency
        - encryptionKey
        - hashedClientId
        - phoneNumber
        - privateKey
        - providerId
        - publicKey
    MerchantSettingsType:
      type: object
      properties:
        id:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        agentPercentProfit:
          type: number
        callbackUrl:
          type: string
        colorGameProfit:
          type: number
        cupImageUrl:
          type: string
        fontFamilyUrl:
          type: string
        hideBalance:
          type: boolean
        logo1xUrl:
          type: string
        logo2xUrl:
          type: string
        minimumStake:
          type: number
        maximumStake:
          type: number
        lottoGameProfit:
          type: number
        megaTenGameProfit:
          type: number
        merchantId:
          type: number
        merchantPercentProfit:
          type: number
        oddEvenGameProfit:
          type: number
        providerPercentProfit:
          type: number
        shopDetailsUrl:
          type: string
        singleGameProfit:
          type: number
        superProviderPercentProfit:
          type: number
        underOverGameProfit:
          type: number
        userDetailsUrl:
          type: string
        userPercentProfit:
          type: number
        webhookUrl:
          type: string
        creditWebhookUrl:
          type: string
        debitWebhookUrl:
          type: string
        refundWebhookUrl:
          type: string
        isSeperateWebhookUrl:
          type: boolean
      required:
        - id
        - createdAt
        - updatedAt
  securitySchemes:
    bearer:
      $ref: '#/components/securitySchemes/sv-api-key'
      in: header
      name: access-token
      scheme: bearer
      bearerFormat: JWT
      type: http
      openIdConnectUrl: https://api-staging.smatvirtual.com/v1/merchant/swagger-json
      flows:
        implicit:
          authorizationUrl: https://api-staging.smatvirtual.com/v1/merchant/swagger-json
          scopes:
            read:users: Read user data
            write:users: Write user data

````